features:
  secondary:
    - name: "PostgreSQL 11 is now available in Omnibus GitLab"
      available_in: [core, starter, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/omnibus/update/gitlab_12_changes.html'
      reporter: ljlane
      stage: enablement
      categories:
        - "Omnibus Package"
      issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2414'
      description: |
        The Omnibus GitLab package now includes PostgreSQL 11. The PostgreSQL 11 release includes enhancements to partitioning and other performance improvements that we will be building upon in GitLab 13.x to increase its overall speed and responsiveness. PostgreSQL 11 has been fully tested with Omnibus GitLab for new installs and upgrades, including HA configurations. [Testing with Geo is in progress](https://gitlab.com/gitlab-org/omnibus-gitlab/issues/4971).

        Upgrades to PostgreSQL 11 are opt-in for GitLab 12.8. For instructions on upgrading, see the [upgrade notes](https://docs.gitlab.com/omnibus/update/gitlab_12_changes.html). New installs, and automatic upgrades from 9.6, will still default to PostgreSQL 10. PostgreSQL 11 will become opt-out in GitLab 12.10 and the minimum required PostgreSQL version in GitLab 13.0. For more details about GitLab's PostgreSQL 11 roadmap, see [the epic for adding support for PostgreSQL 11](https://gitlab.com/groups/gitlab-org/-/epics/2414).

        We encourage administrators of instances not using Geo to upgrade to PostgreSQL 11 at their earliest convenience to benefit from performance improvements and to prepare for the [removal of PostgreSQL 9.6 and 10.x in GitLab 13.0](#planned-removal-of-postgresql-9.6-and-10.x-in-gitlab-13.0).
